Skip to content

Introspect an OAuth access token

POST
/oauth/introspect
curl --request POST \
--url https://api.muninx.com/oauth/introspect \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data token=example \
--data client_id=example \
--data client_secret=example
Media type application/x-www-form-urlencoded
object
token
required
string
client_id
string
client_secret
string
Example generated
token=example&client_id=example&client_secret=example

Introspection response

Media type application/json
object
active
required
boolean
scope
string
client_id
string
sub
string
exp
integer format: int64
iat
integer format: int64
resource
string
tenant_org
string
email
string format: email
role
string
Example
{
"email": "[email protected]"
}

Invalid client